Loading...
Searching...
No Matches
main.cpp File Reference

Main program for Project 2. More...

`#include <cassert>`
`#include <cmath>`
`#include <iostream>`
`#include "utils.hpp"`
`#include "matrix.hpp"`
`#include "jacobi.hpp"`

## Functions

void | write_transformation_dense (int N)
void | write_transformation_tridiag (int N)
void | write_eigenvec (int N)
int | main ()

## Detailed Description

Main program for Project 2.

The program performs the Jacobi rotation method. The size of the matrix, and number of transformations performed are written to file. Eigenvector correstonding to the 3 smallest eigenvalues for matrices of size 6x6 and 100x100 are written to file.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Bug:
  No known bugs